/*
  Copyright (C) 2008 Fons Adriaensen <fons@kokkinizita.net>
    
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
  MA 02110-1301 USA.
*/


#ifndef __GLOBAL_H
#define __GLOBAL_H


#define  EV_X11         16
#define  EV_EXIT        31
#define  NMAX           64


class Mdata
{
public:

    Mdata (void) :
        _port (0),
        _level (0),
        _dpeak (0),
	_m1 (0),
	_m2 (0),
	_z1 (0),
	_z2 (0)
    {}

    const char *_port;
    float       _level;
    float       _dpeak;
    float       _m1;
    float       _m2;
    float       _z1;
    float       _z2;
};


class JMconf
{
public:

    JMconf (void) :
        _type (0),
        _numb (0),
        _ncol (4),
        _cnt1 (0),
        _cnt2 (0)
    {}

    int     _type;
    int     _numb;
    int     _ncol;
    float   _gain;
    int     _cnt1;
    int     _cnt2;
    Mdata   _mdata [NMAX];    
};


#endif
